Retrieve an IP pool
Retrieve a single IP pool by its identifier, including its dedicated-IP members with billing state.
GET
/
email
/
ip_pools
/
{id}
Retrieve an IP pool
curl --request GET \
--url https://api.telnyx.com/v2/email/ip_pools/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/email/ip_pools/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/email/ip_pools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/email/ip_pools/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/email/ip_pools/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/email/ip_pools/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/email/ip_pools/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"record_type": "ip_pool",
"name": "primary-pool",
"is_default": true,
"domain_id": null,
"ips": [
{
"id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"record_type": "dedicated_ip",
"ip_address": "64.16.239.170",
"ip_version": "ipv4",
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"region": "ewr-nj1",
"status": "active",
"warmup": {
"started_at": "2026-09-15T00:00:00.000000Z",
"progress": 100,
"daily_cap": null,
"paused": false,
"paused_at": null,
"today": {
"day": "2026-10-24",
"cap": 100000000,
"granted": 0,
"remaining": 100000000
}
},
"billing": {
"status": "active",
"charged": true
},
"provisioning_status": "dns_confirmed",
"provisioning": {
"dns_status": "dns_confirmed",
"ptr_request_state": "confirmed",
"ptr_request_pr_url": null,
"checklist": {
"ptr_requested": true,
"ptr_authored": false,
"ptr_merged": true,
"forward_confirmed": true
}
},
"ptr_hostname": "mta-64-16-239-170.msgtelnyx.com",
"dns_confirmed_at": "2026-10-14T20:12:41.552310Z",
"quarantine_until": null,
"released_at": null,
"suspension_reason": null,
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-10-20T04:00:03.402117Z",
"weight": 100
}
],
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-09-30T02:03:09.474123Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested ip pool was not found"
}
]
}Authorizations
Telnyx API key supplied as Authorization: Bearer <token>. In production, auth may be validated by the API gateway and forwarded via Telnyx auth headers.
Path Parameters
The IP pool identifier (UUID).
Response
IP pool details
An account-scoped pool of dedicated IPs. Mail uses a pool only when the pool is scoped to the sending domain (domain_id) or is the account default (is_default).
Show child attributes
Show child attributes
Was this page helpful?
Retrieve an IP pool
curl --request GET \
--url https://api.telnyx.com/v2/email/ip_pools/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/email/ip_pools/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/email/ip_pools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/email/ip_pools/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/email/ip_pools/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/email/ip_pools/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/email/ip_pools/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"record_type": "ip_pool",
"name": "primary-pool",
"is_default": true,
"domain_id": null,
"ips": [
{
"id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"record_type": "dedicated_ip",
"ip_address": "64.16.239.170",
"ip_version": "ipv4",
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"region": "ewr-nj1",
"status": "active",
"warmup": {
"started_at": "2026-09-15T00:00:00.000000Z",
"progress": 100,
"daily_cap": null,
"paused": false,
"paused_at": null,
"today": {
"day": "2026-10-24",
"cap": 100000000,
"granted": 0,
"remaining": 100000000
}
},
"billing": {
"status": "active",
"charged": true
},
"provisioning_status": "dns_confirmed",
"provisioning": {
"dns_status": "dns_confirmed",
"ptr_request_state": "confirmed",
"ptr_request_pr_url": null,
"checklist": {
"ptr_requested": true,
"ptr_authored": false,
"ptr_merged": true,
"forward_confirmed": true
}
},
"ptr_hostname": "mta-64-16-239-170.msgtelnyx.com",
"dns_confirmed_at": "2026-10-14T20:12:41.552310Z",
"quarantine_until": null,
"released_at": null,
"suspension_reason": null,
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-10-20T04:00:03.402117Z",
"weight": 100
}
],
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-09-30T02:03:09.474123Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested ip pool was not found"
}
]
}